#
# spec file for package ch341eepromtool
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ch341eepromtool
Version:        0.5
Release:        1.1
Summary:        I2C Serial EEPROM Programming Tool for the WCH CH341A
License:        GPL-3.0+
Group:          Hardware
Url:            https://sourceforge.net/projects/ch341eepromtool/
BuildRequires:  libusb-1_0-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# WARNING: This is not a comment, but the real command to repack souce:
#%(bash %{_sourcedir}/%{name}-extract-source.sh %{name}_%{version}.tar.gz)
%if 0
Source:         http://downloads.sourceforge.net/project/%{name}/%{name}_%{version}.tar.gz
Source1:        %{name}-extract-source.sh
%else
Source:         %{name}_%{version}-source.tar.xz
%endif
Patch:          ch341eepromtool-printf.patch

%description
An I2C serial EEPROM programming tool for cheap Winchiphead CH341 IC based programmers.

%prep
%setup -q -n %{name}_%{version}
%patch -p1

%build
gcc -Wall -O2 %{optflags} ch341eeprom.c ch341funcs.c -lusb-1.0 -o ch341eeprom $(pkg-config libusb-1.0 --libs --cflags)

%install
mkdir -p %{buildroot}%{_bindir}
install ch341eeprom %{buildroot}%{_bindir}/

%files
%defattr(-,root,root)
%doc COPYING README pics
%{_bindir}/*

%changelog
* Fri Mar 20 2015 sbrabec@suse.cz
- New package, version 0.5.
- Add ch341eepromtool-printf.patch fixing printf() usage.
